#ifndef _ISO2022JP_HDR_
#define _ISO2022JP_HDR_

/*
 *   ISO-2022-JP <=> Unicode converting patch
 *      by Norihisa Washitake <wassy@chimons.org>
 *      $Id: iso2022jp.h,v 1.1 2002/04/17 18:16:59 mrsam Exp $
 */

#if _DEBUG > 0
#include <stdlib.h>
#include <stdio.h>
#include <wchar.h>
#include <string.h>

/* Definitions from unicode.h */
typedef wchar_t unicode_char;
struct unicode_info {
  const char *chset;
  unicode_char *(*c2u)(const char *, int *);
  char *(*u2c)(const unicode_char *, int *);
  char *(*toupper_func)(const char *, int *);
  char *(*tolower_func)(const char *, int *);
  char *(*totitle_func)(const char *, int *);
};
#else
#include "unicode.h"
#endif /* _DEBUG */


/*
** Some characters are unique in ISO-2022-JP character set,
** so define them specially.
*/

#define JIS_CHAR_ESC    0x1B
#define JIS_CHAR_SO     0x0E
#define JIS_CHAR_SI     0x0F

#define JIS_TYPE_ASCII      0x0
#define JIS_TYPE_ROMAN      0x1
#define JIS_TYPE_7BITKANA   0x2
#define JIS_TYPE_8BITKANA   0x3
#define JIS_TYPE_KANJI      0x4
#define JIS_TYPE_BINARY     0x5

struct jischar_t {
  int type;
  int value;
};


#endif /* _ISO2022JP_HDR_ */
